lpadmin(8)

NOM
lpadmin - Configure les imprimantes et classes d'imprimantes de CUPS

SYNOPSIS
lpadmin [ -E ] [ -h serveur ] -d destination
lpadmin [ -E ] [ -h serveur ] -p imprimante option(s)
lpadmin [ -E ] [ -h serveur ] -x destination

DESCRIPTION
lpadmin configure les imprimantes et classes d'imprimantes de CUPS. Il est également utilisé pour définir l'imprimante ou classe d'imprimante par défaut.

Lorsque l'option -E est spécifiée avant les options -d, -p, ou -x, la communication avec le serveur est cryptée.

La première méthode d'utilisation de la commande définit l'imprimante ou la classe par défaut. Les impressions futures demandées par les commandes lp(1) ou lpr(1) utiliseront cette destination sauf avis contraire de l'utilisateur par l'utilisation de la commande lptions(1).

La seconde méthode configure une imprimante. Les options disponibles sont décrites plus loin.

La troisième méthode supprime l'imprimante ou classe destination. Tous les travaux d'impression en attente sont supprimés, et les travaux en cours d'impression sont arrêtés.

OPTIONS DE CONFIGURATION
Les options suivantes sont reconnues par la commande lpadmin :

-c classe
    Ajoute l'imprimante imprimante à la classe classe. Si la classe n'existe pas encore, elle est créée automatiquement.

-i interface
    Crée un script d'interface System V pour l'imprimante. Cette option ne peut être utilisée en même temps que -P (fichier PPD) et est destinée au support des imprimantes de base.

-m modèle
    Définit un script d'interface System V ou un fichier PPD à utiliser.

-o name=value
    Définit une option PPD ou serveur pour une imprimante. La liste des options PPD peut être obtenue en utilisant la commande lpoptions -l.

-o job-k-limit=valeur
    Définit les quotas par utilisateur en kilo-octets. La valeur est un nombre entier de kilo-octets (valant 1 024 octets).

-o job-page-limit=valeur
    Définit les quotas par utilisateur en nombre de pages. La valeur est un nombre entier de pages pouvant être imprimées. Les recto-verso comptent pour deux pages.

-o job-quota-period=valeur
    Définit les quotas par utilisateur en impressions par intervalle de temps. La valeur est un nombre entier définissant le nombre de secondes entre chaque impression. Une journée contient 86 400 secondes.

-o protocol=nom
    Définit le protocole à utiliser lors des communications binaires pour les impressions. Les protocoles sont None (Aucun), BCP et TBCP. Le protocole par défaut est None.

-r classe
    Supprime l'imprimante de la classe. Si la classe d'imprimante devient vide, celle-ci est supprimée.

-u allow:utilisateur,utilisateur,@groupe
    -u deny:utilisateur,utilisateur,@groupe -u allow:all -u deny:none
    Définit les accès par utilisateur sur une imprimante. Les noms commençant par le symbole @ sont des noms de groupes UNIX. Les deux dernières expressions suppriment les contrôles d'accès par utilisateur.

-v device-uri
    Définit l'attribut device-uri de la file d'attente de l'imprimante. Si device-uri est un nom de fichier, il est converti automatiquement en la forme file:/fichier/nom.

-D info
    Définit une description de l'imprimante.

-E
    Active l'imprimante et lui fait accepter les travaux d'impression. Ceci peut également être effectué en lançant les commandes accept(8) et enable(8) sur l'imprimante.

-L lieufR
    Définit le lieu de l'imprimante.

-P fichier-ppd
    Définit le fichier PPD (Postscript Printer Description) à utiliser avec cette imprimante. Si cette option est spécifiée, elle annule l'option -i (script d'interface).

COMPATIBILITÉ
Contrairement au système d'impression System V, CUPS permet des noms d'imprimantes contenant tout caractère imprimable sauf ESPACE et TABULATION. De plus, les noms d'imprimante et de classe ne sont pas sensibles à la casse. De plus, la version CUPS peut demander un mot de passe, suivant la configuration du système, à la différence de la version System V qui demande le mot de passe root.

LIMITATIONS
La version CUPS de lpadmin ne reconnaît pas toutes les options de configuration disponibles dans les versions System V ou Solaris.

VOIR AUSSI
accept(8), cancel(1), disable(8), enable(8), lp(1), lpstat(1), reject(8), CUPS Software Administrators Manual, http://localhost:631/documentation.html

COPYRIGHT
Copyright 1993-2003 Easy Software Products, Tous droits réservés.

TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>